Skip to content

Add Course

POST
/ai_labs/organization/{Organization_Id}/course/
curl --request POST \
--url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/ai_labs/organization/{Organization_Id}/course/?location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>' \
--header 'Content-Type: application/json' \
--data '{
"name": "course-251027164554",
"description": "This is a course description",
"professor_name": "Akansha",
"professor_title": "Prof."
}'

Note: AI Labs is currently available only in the Delhi region.

Organization_Id
required
integer

Organization ID

location
required
string
Allowed values: Delhi Chennai

Location

active_iam
integer

Active IAM ID (To access contact person account) Find your Active IAM ID here

Media typeapplication/json
object
name
required

Name of the course

string

Example

course-251027164554
description

Description of the course

string

Example

This is a course description
professor_name
required

Name of the professor

string

Example

Akansha
professor_title
required

Title of the professor

string
Allowed values: Prof. Dr. Mr. Ms. Mrs.

Example

Prof.

Successfully created a new course

Media typeapplication/json
object
code
integer
data
object
id
integer
name
string
description
string
created_by
object
id
integer
name
string
email
string format: email
username
string
created_at
string format: date-time
updated_at
string format: date-time
courseware_details
object
id
integer
name
string
project_id
integer
description
string
nullable
storage_type
string
pvc
string
nullable
bucket
object
id
integer
bucket_name
string
bucket_url
string
endpoint
string
is_managed
boolean
eos_bucket_permission_id
integer
location
string
bucket_size
string
access_key
object
id
integer
access_key
string
secret_key
string
nullable
tag
string
is_managed
boolean
location
string
encryption_type
string
nullable
encryption_enable
boolean
status
string
created_by
object
id
integer
name
string
email
string format: email
username
string
created_at
string format: date-time
updated_at
string format: date-time
pfs
string
nullable
location
string
professor_title
string
professor_name
string
professor
string
errors
object
message
string

Example

{
"code": 201,
"data": {
"id": 26,
"name": "course-251027164554",
"description": "This is a course description",
"created_by": {
"id": 7483,
"name": "test",
"email": "test@gmail.com",
"username": "test@gmail.com"
},
"created_at": "2025-10-28T07:22:44.701976Z",
"updated_at": "2025-10-28T07:22:46.515400Z",
"courseware_details": {
"id": 3006,
"name": "ai-labs-course-1761636164",
"project_id": 8007,
"description": null,
"storage_type": "managed",
"pvc": null,
"bucket": {
"id": 5037,
"bucket_name": "d-gpu-86822602-a838-432f-af04-06a2e0ea6fdb",
"bucket_url": "s3://d-gpu-86822602-a838-432f-af04-06a2e0ea6fdb/",
"endpoint": "https://objectstore.e2enetworks.net",
"is_managed": true,
"eos_bucket_permission_id": 16759,
"location": "Delhi",
"bucket_size": "0 bytes"
},
"access_key": {
"id": 5055,
"access_key": "IMJMASCNSBEICHSPG2BN",
"secret_key": null,
"tag": "akgpue9b954868841451a9fbec7df7d83f102",
"is_managed": true,
"location": "Delhi"
},
"encryption_type": null,
"encryption_enable": false,
"status": "Pending",
"created_by": {
"id": 7483,
"name": "test",
"email": "test@gmail.com",
"username": "test@gmail.com"
},
"created_at": "2025-10-28T07:22:46.461837Z",
"updated_at": "2025-10-28T07:22:46.461890Z",
"pfs": null,
"location": "Delhi"
},
"professor_title": "Prof.",
"professor_name": "test",
"professor": "Prof. test"
},
"errors": {},
"message": "Created Successfully"
}